Subject: Re: bug#78820: 31.0.50; savehist timer does not run repeatedly

From: Robert Pluim <[email-masked]>
Date: Wed, 18 Jun 2025 15:31:53 +0200

>>>>> On Wed, 18 Jun 2025 08:41:57 -0400, Stéphane Marks <[email-masked]> said:

    >> No need:
    >> 
    >> (run-with-timer t savehist-autosave-interval #'savehist-autosave)
    >> 
    >> already works, although the docstring and the manual donʼt make this
    >> clear, you need to read the manual for `run-at-time' attentively.
    >> 

    Stéphane> Funny perhaps I did that at the time, but I prefer the
    Stéphane> more precise form.

Sure, that also works.

Robert
--